#include <iostream>
#include <cstdlib>
using namespace std;

int brojCifara(int broj){
	int rez = 0;
	while(broj != 0){
		broj /= 10; 
		rez++;
	}
	return rez;
}
string Sudari(string a, string b, int brojcifarab, int brojcifaraa){
	string cifraa, cifrab;
	int tr = 0;
	string rez="";
	for(int i = 0; i < brojcifarab; i++){
			cifraa = a[tr];
			cifrab = b[tr];
			if(stoi(cifraa) > stoi(cifrab))
				rez+=cifraa;
			else if(cifrab > cifraa) 
					rez+=cifrab;
			else{
				rez+=cifraa;
				rez+=cifraa;
            }
			tr++;
		}
		brojcifaraa-=brojcifarab;
		for(int i = 0; i < brojcifaraa;i++){
			rez+=cifraa;
			tr++;
		}
		return rez;
}

int main(){
	int a, b;
	cin >> a >> b;
	string rez;
	int brojcifaraa = brojCifara(a);
	int brojcifarab = brojCifara(b);
	if(brojcifaraa > brojcifarab)
		rez = Sudari(to_string(a),to_string(b), brojcifarab, brojcifaraa);
	else
		rez = Sudari(to_string(b),to_string(a), brojcifaraa, brojcifarab);
	cout << rez;
}